package com.rjconsultores.ventaboletos.enums.comissao;

public enum TipoLogConferencia {
	
	BOLETO(0, "Bilhete"),
	EVENTO_FINANCEIRO(1, "Evento Financeiro"),
	OCD(2, "OCD"),
	AVULSO(3, "Avulso");
	
	private String descricao;
	private Integer value;

	private TipoLogConferencia(Integer value, String descricao) {
		this.value = value;
		this.descricao = descricao;
	}

	@Override
	public String toString() {
		return this.descricao;
	}

	public static TipoLogConferencia getTipoLogConferencia(Integer value) {
		if(value == BOLETO.value) {
			return BOLETO;
		} else if(value == EVENTO_FINANCEIRO.value) {
			return EVENTO_FINANCEIRO;
		} else if(value == OCD.value) {
			return OCD;
		} else if(value == AVULSO.value) {
			return AVULSO;
		}
		return null;
	}

	public Integer getValue() {
		return value;
	}
	
}
